patch
/v9/storage/filesystem-shares/cifs/{filesystemShareObjectId}/authentications/{encodedName}
Updates the permissions for an existing share access authentication entry for a share.
Note: Accepted parameter values may be restricted based on the virtual server access granted by the API key used for authentication.
Path parameters
encodedName
String
required
Encoded version of the name
Encoded version of the name
Example:
45766572796f6e653a3a3a303a3a3a4f49445f24232140255f56
filesystemShareObjectId
String
required
Object ID of the file system share
Object ID of the file system share
Example:
353a3a3a66366233396131652d303562362d313164302d393136382d356563303033373534353864
CLIENT REQUEST
curl -X 'PATCH'
-H "X-Subsystem-User: [[apiKey]]"
\
-H "X-Subsystem-Password: [[apiKey]]"
\
-H "X-Api-Key: [[apiKey]]"
\
-H "Authorization: Basic [[basicHash]]"
\
-H
'Accept: application/json'
-H
'Content-Type: application/json'
'https://172.27.146.40:8444/v9/storage/filesystem-shares/cifs/{filesystemShareObjectId}/authentications/{encodedName}'
-d
''
import http.client
conn = http.client.HTTPSConnection("172.27.146.40:8444")
payload = "{\"permission\":56}"
headers = {
'Authorization': "Basic REPLACE_BASIC_AUTH",
'content-type': "application/json"
}
conn.request("PATCH", "/v9/storage/filesystem-shares/cifs/353a3a3a66366233396131652d303562362d313164302d393136382d356563303033373534353864/authentications/45766572796f6e653a3a3a303a3a3a4f49445f24232140255f56", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://172.27.146.40:8444/v9/storage/filesystem-shares/cifs/353a3a3a66366233396131652d303562362d313164302d393136382d356563303033373534353864/authentications/45766572796f6e653a3a3a303a3a3a4f49445f24232140255f56")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic REPLACE_BASIC_AUTH'
request["content-type"] = 'application/json'
request.body = "{\"permission\":56}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"permission": 56
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("PATCH", "https://172.27.146.40:8444/v9/storage/filesystem-shares/cifs/353a3a3a66366233396131652d303562362d313164302d393136382d356563303033373534353864/authentications/45766572796f6e653a3a3a303a3a3a4f49445f24232140255f56");
xhr.setRequestHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.patch("https://172.27.146.40:8444/v9/storage/filesystem-shares/cifs/353a3a3a66366233396131652d303562362d313164302d393136382d356563303033373534353864/authentications/45766572796f6e653a3a3a303a3a3a4f49445f24232140255f56")
.header("Authorization", "Basic REPLACE_BASIC_AUTH")
.header("content-type", "application/json")
.body("{\"permission\":56}")
.asString();import Foundation
let headers = [
"Authorization": "Basic REPLACE_BASIC_AUTH",
"content-type": "application/json"
]
let parameters = ["permission": 56] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://172.27.146.40:8444/v9/storage/filesystem-shares/cifs/353a3a3a66366233396131652d303562362d313164302d393136382d356563303033373534353864/authentications/45766572796f6e653a3a3a303a3a3a4f49445f24232140255f56")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8444",
CURLOPT_URL => "https://172.27.146.40:8444/v9/storage/filesystem-shares/cifs/353a3a3a66366233396131652d303562362d313164302d393136382d356563303033373534353864/authentications/45766572796f6e653a3a3a303a3a3a4f49445f24232140255f56",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => "{\"permission\":56}",
CURLOPT_HTTPHEADER => [
"Authorization: Basic REPLACE_BASIC_AUTH",
"content-type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PATCH");
curl_easy_setopt(hnd, CURLOPT_URL, "https://172.27.146.40:8444/v9/storage/filesystem-shares/cifs/353a3a3a66366233396131652d303562362d313164302d393136382d356563303033373534353864/authentications/45766572796f6e653a3a3a303a3a3a4f49445f24232140255f56");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Basic REPLACE_BASIC_AUTH");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"permission\":56}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://172.27.146.40:8444/v9/storage/filesystem-shares/cifs/353a3a3a66366233396131652d303562362d313164302d393136382d356563303033373534353864/authentications/45766572796f6e653a3a3a303a3a3a4f49445f24232140255f56");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"permission\":56}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
permissionintegerint32
application/json
permissionintegerint32Bit representation of the permission for the access authentication item. Use decimal number made up by a combination of the following values:
- 0 No permission
- 8 Allow read
- 24 Allow read+change
- 56 Allow read+change+full control
- 1 Deny read
- 3 Deny read+change
- 7 Deny read+change+full control
Bit representation of the permission for the access authentication item. Use decimal number made up by a combination of the following values:
- 0 No permission
- 8 Allow read
- 24 Allow read+change
- 56 Allow read+change+full control
- 1 Deny read
- 3 Deny read+change
- 7 Deny read+change+full control
Example:
56REQUEST
{
"permission": 56
}Responses